% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/runExamplesWrapper.R
\name{startExample}
\alias{startExample}
\title{startExample}
\usage{
startExample(f, xnames)
}
\arguments{
\item{f}{character string containing the path name of the run_examples() results output file}

\item{xnames}{list of all the function names within the package}
}
\value{
returns a list whose components are
}
\description{
parse the output file produced by RunExamples() to determine the next example to start the list provided to run_examples()
}
\examples{
\dontrun{
# replace dir and pack with your own versions!!
# run this example within the RStudio Console for the package 'pack'
dir1<-"~/personal/hearts/hearts_card_game_bayesian_inference/packages/"
dir2<-"inference_packages/inference_packages/"
dir<-sprintf("\%s/\%s",dir1,dir2)
load_all()
pack<-sprintf("\%s/\%s",dir,"cardUtils")
out<-sprintf("\%s/\%s",tempdir(),"runExamplesOut.txt")
l<-retrieveExamplesFromMan(pack)
xnames<-unlist(strsplit(sort(names(l$x)),".Rd"))
sink(out)
on.exit(sink())
suppressMessages(suppressWarnings(try(run_examples(pack))))
sink()
l1<-startExample(out,xnames)
}

}
